iterator File Reference
Technical Specifications » Library Fundamentals TS

Go to the source code of this file.

## Classes

class | std::experimental::fundamentals_v2::ostream_joiner< _DelimT, _CharT, _Traits >

## Namespaces

namespace | std
namespace | std::experimental

## Macros

#define | __cpp_lib_experimental_ostream_joiner
#define | _GLIBCXX_EXPERIMENTAL_ITERATOR

## Functions

template<typename _CharT, typename _Traits, typename _DelimT>
ostream_joiner< decay_t< _DelimT >, _CharT, _Traits > | std::experimental::make_ostream_joiner (basic_ostream< _CharT, _Traits > &__os, _DelimT &&__delimiter)

## Detailed Description

This is a TS C++ Library header.

Definition in file experimental/iterator.

## Macro Definition Documentation

## __cpp_lib_experimental_ostream_joiner

#define __cpp_lib_experimental_ostream_joiner

Definition at line 55 of file experimental/iterator.

## _GLIBCXX_EXPERIMENTAL_ITERATOR

#define _GLIBCXX_EXPERIMENTAL_ITERATOR

Definition at line 35 of file experimental/iterator.